import dice

from rollbot import as_command
from rollbot.injection import Args, ArgListSplitOn

@as_command
def roll(argstr: Args, args: ArgListSplitOn(",")):
    try:
        rolls = []
        for roll_exp in args:
            roll = dice.roll(roll_exp)
            if not isinstance(roll, int):
                roll = int(roll)
            rolls.append(str(roll))
        return f"Rolled {argstr}, got: {', '.join(rolls)}"
    except Exception as _:
        return "Sorry - dice expression appears malformed. Add more ()'s"
